commit 47e89ebfe1432f5504398dc6f57eb2867c49dec5
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Oct 31 14:19:00 2019 +0100

    Shell is not implicitly enabled when tests are activated anymore.

diff --git a/core/inc/aos_confcheck.h b/core/inc/aos_confcheck.h
index 5f9f5f1..70c1379 100644
--- a/core/inc/aos_confcheck.h
+++ b/core/inc/aos_confcheck.h
@@ -65,7 +65,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
   #error "AMIROOS_CFG_SSSP_ENABLE not defined in aosconf.h"
 #endif /* !defined(AMIROOS_CFG_SSSP_ENABLE) */
 
-# if (AMIROOS_CFG_SSSP_ENABLE == true)
+#if (AMIROOS_CFG_SSSP_ENABLE == true)
 
   #if !defined(AMIROOS_CFG_SSSP_MASTER)
     #error "AMIROOS_CFG_SSSP_MASTER not defined in aosconf.h"
@@ -123,7 +123,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #else /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
   #if (AMIROOS_CFG_TESTS_ENABLE == true)
-    #pragma message "AMiRo-OS shell enabled implicitely via AMIROOS_CFG_TESTS_ENABLE"
+    #error "Enabling AMIROOS_CFG_TESTS_ENABLE in aosconf.h requires AMIROOS_CFG_SHELL_ENABLE to be enabled as well."
   #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 #endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
diff --git a/core/inc/aos_shell.h b/core/inc/aos_shell.h
index b54f46b..901eb5a 100644
--- a/core/inc/aos_shell.h
+++ b/core/inc/aos_shell.h
@@ -29,7 +29,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 #include <amiroos.h>
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 
 /******************************************************************************/
 /* CONSTANTS                                                                  */
@@ -418,7 +418,7 @@ extern "C" {
 /* INLINE FUNCTIONS                                                           */
 /******************************************************************************/
 
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 #endif /* AMIROOS_SHELL_H */
 
diff --git a/core/inc/aos_system.h b/core/inc/aos_system.h
index 890a91a..cb9d6c5 100644
--- a/core/inc/aos_system.h
+++ b/core/inc/aos_system.h
@@ -183,14 +183,14 @@ typedef struct aos_system {
     event_source_t os;
   } events;
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 
   /**
    * @brief   Pointer to the shell object.
    */
   aos_shell_t shell;
 
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 } aos_system_t;
 
@@ -217,11 +217,7 @@ extern aos_system_t aos;
 #if defined(__cplusplus)
 extern "C" {
 #endif /* defined(__cplusplus) */
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)
   void aosSysInit(const char* shellPrompt);
-#else /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
-  void aosSysInit(void);
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
   void aosSysStart(void);
 #if (AMIROOS_CFG_SSSP_ENABLE == true) || defined (__DOXYGEN__)
   eventmask_t aosSysSsspStartupOsInitSyncCheck(event_listener_t* syncEvtListener);
diff --git a/core/inc/aos_thread.h b/core/inc/aos_thread.h
index 4a1946d..a81e12e 100644
--- a/core/inc/aos_thread.h
+++ b/core/inc/aos_thread.h
@@ -122,7 +122,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 extern "C" {
 #endif /* defined(_cplusplus) */
   void aosThdSleepUntilS(const aos_timestamp_t t);
-#if (AMIROOS_CFG_DBG == true) && (CH_DBG_FILL_THREADS == TRUE)
+#if ((AMIROOS_CFG_DBG == true) && (CH_DBG_FILL_THREADS == TRUE)) || defined(__DOXYGEN__)
   size_t aosThdGetStackPeakUtilization(thread_t* thread);
 #endif /* (AMIROOS_CFG_DBG == true) && (CH_DBG_FILL_THREADS == TRUE) */
 #if defined(__cplusplus)
diff --git a/core/src/aos_main.cpp b/core/src/aos_main.cpp
index 37a8c1c..9a1efdb 100644
--- a/core/src/aos_main.cpp
+++ b/core/src/aos_main.cpp
@@ -131,12 +131,14 @@ static event_listener_t _eventListenerOS;
  */
 static AosIOChannel _stdiochannel;
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
+
 /**
  * @brief   I/O shell channel for the programmer interface.
  */
 static AosShellChannel _stdshellchannel;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)*/
+
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 #endif /* defined(MODULE_HAL_PROGIF) */
 
 /*
@@ -953,11 +955,11 @@ int main(void)
 #endif /* defined(AMIROOS_CFG_MAIN_INIT_HOOK_2) */
 
   // AMiRo-OS, additional interrupts and custom OS additions (if any)
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)
+#if (AMIROOS_CFG_SHELL_ENABLE == true)
   aosSysInit(moduleShellPrompt);
-#else /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
-  aosSysInit();
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#else /* (AMIROOS_CFG_SHELL_ENABLE == true) */
+  aosSysInit(NULL);
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 #if defined(MODULE_INIT_INTERRUPTS)
   MODULE_INIT_INTERRUPTS();
 #endif
@@ -1012,12 +1014,12 @@ int main(void)
   aosIOChannelInit(&_stdiochannel, (BaseAsynchronousChannel*)&MODULE_HAL_PROGIF);
   aosIOChannelOutputEnable(&_stdiochannel);
   aosIOStreamAddChannel(&aos.iostream, &_stdiochannel);
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)
+#if (AMIROOS_CFG_SHELL_ENABLE == true)
   aosShellChannelInit(&_stdshellchannel, (BaseAsynchronousChannel*)&MODULE_HAL_PROGIF);
   aosShellChannelInputEnable(&_stdshellchannel);
   aosShellChannelOutputEnable(&_stdshellchannel);
   aosShellStreamAddChannel(&aos.shell.stream, &_stdshellchannel);
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 #endif /* defined(MODULE_HAL_PROGIF) */
 
 #if defined(AMIROOS_CFG_MAIN_INIT_HOOK_5)
diff --git a/core/src/aos_shell.c b/core/src/aos_shell.c
index f1c5fd3..934f3a5 100644
--- a/core/src/aos_shell.c
+++ b/core/src/aos_shell.c
@@ -28,7 +28,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #include <amiroos.h>
 #include <string.h>
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 
 /******************************************************************************/
 /* LOCAL DEFINITIONS                                                          */
@@ -1720,6 +1720,6 @@ void aosShellThread(void* shell)
   // no chSysUnlock() required since the thread has been terminated an all waiting threads have been woken up
 }
 
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)*/
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
diff --git a/core/src/aos_system.c b/core/src/aos_system.c
index c9b3072..4a3df26 100644
--- a/core/src/aos_system.c
+++ b/core/src/aos_system.c
@@ -84,14 +84,14 @@ aos_system_t aos;
 /*
  * forward declarations
  */
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 static int _shellcmd_configcb(BaseSequentialStream* stream, int argc, char* argv[]);
 static int _shellcmd_infocb(BaseSequentialStream* stream, int argc, char* argv[]);
 static int _shellcmd_shutdowncb(BaseSequentialStream* stream, int argc, char* argv[]);
 #if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 static int _shellcmd_kerneltestcb(BaseSequentialStream* stream, int argc, char* argv[]);
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Timer to accumulate system uptime.
@@ -128,7 +128,7 @@ static float _syssyncskew;
 
 #endif /* (AMIROOS_CFG_SSSP_ENABLE == true) && (AMIROOS_CFG_SSSP_MASTER != true) && (AMIROOS_CFG_PROFILE == true) */
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell thread working area.
  */
@@ -157,19 +157,21 @@ static AOS_SHELL_COMMAND(_shellcmd_config, "module:config", _shellcmd_configcb);
 /**
  * @brief   Shell command to shutdown the system.
  */
-#if (AMIROOS_CFG_SSSP_ENABLE == true)
+#if (AMIROOS_CFG_SSSP_ENABLE == true) || defined(__DOXYGEN__)
 static AOS_SHELL_COMMAND(_shellcmd_shutdown, "system:shutdown", _shellcmd_shutdowncb);
 #else /* (AMIROOS_CFG_SSSP_ENABLE == true) */
 static AOS_SHELL_COMMAND(_shellcmd_shutdown, "module:shutdown", _shellcmd_shutdowncb);
 #endif /* (AMIROOS_CFG_SSSP_ENABLE == true) */
 
 #if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
 /**
  * @brief   Shell kommand to run a test of the ChibiOS/RT kernel.
  */
 static AOS_SHELL_COMMAND(_shellcmd_kerneltest, "kernel:test", _shellcmd_kerneltestcb);
+
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /******************************************************************************/
 /* LOCAL FUNCTIONS                                                            */
@@ -331,7 +333,7 @@ static void _printSystemInfo(BaseSequentialStream* stream)
   return;
 }
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Callback function for the system:config shell command.
  *
@@ -647,8 +649,9 @@ static int _shellcmd_kerneltestcb(BaseSequentialStream* stream, int argc, char*
 
   return retval;
 }
+
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 // suppress warning in case no interrupt GPIOs are defined
 #pragma GCC diagnostic push
@@ -782,11 +785,7 @@ static void _sysSyncTimerCallback(void* par)
  *
  * @param[in] shellPrompt   String to be printed as prompt of the system shell.
  */
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 void aosSysInit(const char* shellPrompt)
-#else /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
-void aosSysInit(void)
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 {
   /* set control thread to maximum priority */
   chThdSetPriority(AOS_THD_CTRLPRIO);
@@ -845,7 +844,7 @@ void aosSysInit(void)
 #endif /* (AMIROOS_CFG_SSSP_STACK_END != true) */
 #endif /* (AMIROOS_CFG_SSSP_ENABLE == true) */
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)
+#if (AMIROOS_CFG_SHELL_ENABLE == true)
   /* init shell */
   aosShellInit(&aos.shell,
                &aos.events.os,
@@ -861,7 +860,7 @@ void aosSysInit(void)
 #if (AMIROOS_CFG_TESTS_ENABLE == true)
   aosShellAddCommand(&aos.shell, &_shellcmd_kerneltest);
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
   return;
 }
@@ -893,14 +892,14 @@ inline void aosSysStart(void)
   _printSystemInfo((BaseSequentialStream*)&aos.iostream);
   aosprintf("\n");
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true)
+#if (AMIROOS_CFG_SHELL_ENABLE == true)
   // start system shell thread
 #if (CH_CFG_USE_THREADHIERARCHY == TRUE)
   aos.shell.thread = chThdCreateStatic(_shell_wa, sizeof(_shell_wa), AMIROOS_CFG_SHELL_THREADPRIO, aosShellThread, &aos.shell, &ch.mainthread);
 #else /* (CH_CFG_USE_THREADHIERARCHY == TRUE) */
   aos.shell.thread = chThdCreateStatic(_shell_wa, sizeof(_shell_wa), AMIROOS_CFG_SHELL_THREADPRIO, aosShellThread, &aos.shell);
 #endif /* (CH_CFG_USE_THREADHIERARCHY == TRUE) */
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
   return;
 }
diff --git a/modules/DiWheelDrive_1-1/module.c b/modules/DiWheelDrive_1-1/module.c
index 0cf6a90..b401687 100644
--- a/modules/DiWheelDrive_1-1/module.c
+++ b/modules/DiWheelDrive_1-1/module.c
@@ -339,9 +339,9 @@ ROMCONST apalControlGpio_t moduleGpioSysWarmrst = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "DiWheelDrive";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/DiWheelDrive_1-1/module.h b/modules/DiWheelDrive_1-1/module.h
index fb91d71..bd9ddc2 100644
--- a/modules/DiWheelDrive_1-1/module.h
+++ b/modules/DiWheelDrive_1-1/module.h
@@ -289,12 +289,12 @@ extern ROMCONST apalControlGpio_t moduleGpioSysWarmrst;
  */
 #define MODULE_OS_IOEVENTFLAGS_ACCELINT         AOS_IOEVENT_FLAG(PAL_PAD(LINE_ACCEL_INT_N))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/DiWheelDrive_1-2/module.c b/modules/DiWheelDrive_1-2/module.c
index 70384c5..6cb2f6d 100644
--- a/modules/DiWheelDrive_1-2/module.c
+++ b/modules/DiWheelDrive_1-2/module.c
@@ -336,9 +336,9 @@ ROMCONST apalControlGpio_t moduleGpioSysWarmrst = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "DiWheelDrive";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/DiWheelDrive_1-2/module.h b/modules/DiWheelDrive_1-2/module.h
index 20cac86..3893e03 100644
--- a/modules/DiWheelDrive_1-2/module.h
+++ b/modules/DiWheelDrive_1-2/module.h
@@ -269,12 +269,12 @@ extern ROMCONST apalControlGpio_t moduleGpioSysWarmrst;
  */
 #define MODULE_OS_IOEVENTFLAGS_IMUINT         AOS_IOEVENT_FLAG(PAL_PAD(LINE_IMU_INT))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/LightRing_1-0/module.c b/modules/LightRing_1-0/module.c
index 867d225..73c8281 100644
--- a/modules/LightRing_1-0/module.c
+++ b/modules/LightRing_1-0/module.c
@@ -231,9 +231,9 @@ ROMCONST apalControlGpio_t moduleGpioSysSync = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "LightRing";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/LightRing_1-0/module.h b/modules/LightRing_1-0/module.h
index 93ee58d..3fe80f7 100644
--- a/modules/LightRing_1-0/module.h
+++ b/modules/LightRing_1-0/module.h
@@ -193,12 +193,12 @@ extern ROMCONST apalControlGpio_t moduleGpioSysSync;
  */
 #define MODULE_OS_IOEVENTFLAGS_SYSSYNC          AOS_IOEVENT_FLAG(PAL_PAD(LINE_SYS_INT_N))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/LightRing_1-2/module.c b/modules/LightRing_1-2/module.c
index b763077..d142636 100644
--- a/modules/LightRing_1-2/module.c
+++ b/modules/LightRing_1-2/module.c
@@ -509,9 +509,9 @@ apalControlGpio_t moduleGpioBreakoutIo8 = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "LightRing";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/LightRing_1-2/module.h b/modules/LightRing_1-2/module.h
index d62f6b5..760ba0f 100644
--- a/modules/LightRing_1-2/module.h
+++ b/modules/LightRing_1-2/module.h
@@ -307,12 +307,12 @@ extern ROMCONST apalControlGpio_t moduleGpioSysSync;
 
 #endif /* (BOARD_BREAKOUT_MODULE == BOARD_BREAKOUT_UWBv10) */
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/NUCLEO-F103RB/module.c b/modules/NUCLEO-F103RB/module.c
index 393e18e..3374c3a 100644
--- a/modules/NUCLEO-F103RB/module.c
+++ b/modules/NUCLEO-F103RB/module.c
@@ -167,9 +167,9 @@ ROMCONST apalControlGpio_t moduleGpioUserButton = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "NUCLEO-F103RB";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/NUCLEO-F103RB/module.h b/modules/NUCLEO-F103RB/module.h
index 22a5cb2..7eca5c1 100644
--- a/modules/NUCLEO-F103RB/module.h
+++ b/modules/NUCLEO-F103RB/module.h
@@ -155,12 +155,12 @@ extern ROMCONST apalControlGpio_t moduleGpioUserButton;
  */
 #define MODULE_OS_IOEVENTFLAGS_USERBUTTON       AOS_IOEVENT_FLAG(PAL_PAD(LINE_BUTTON))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/NUCLEO-F401RE/module.c b/modules/NUCLEO-F401RE/module.c
index 68063b1..bcc71fd 100644
--- a/modules/NUCLEO-F401RE/module.c
+++ b/modules/NUCLEO-F401RE/module.c
@@ -97,9 +97,9 @@ ROMCONST apalControlGpio_t moduleGpioUserButton = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "NUCLEO-F401RE";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/NUCLEO-F401RE/module.h b/modules/NUCLEO-F401RE/module.h
index 6f6675c..59b006d 100644
--- a/modules/NUCLEO-F401RE/module.h
+++ b/modules/NUCLEO-F401RE/module.h
@@ -93,12 +93,12 @@ extern ROMCONST apalControlGpio_t moduleGpioUserButton;
  */
 #define MODULE_OS_IOEVENTFLAGS_USERBUTTON       AOS_IOEVENT_FLAG(PAL_PAD(LINE_BUTTON))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/NUCLEO-F767ZI/module.c b/modules/NUCLEO-F767ZI/module.c
index bb5d9ae..606f1f8 100644
--- a/modules/NUCLEO-F767ZI/module.c
+++ b/modules/NUCLEO-F767ZI/module.c
@@ -127,9 +127,9 @@ ROMCONST apalControlGpio_t moduleGpioUserButton = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "NUCLEO-F767ZI";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/NUCLEO-F767ZI/module.h b/modules/NUCLEO-F767ZI/module.h
index 543c763..a84b948 100644
--- a/modules/NUCLEO-F767ZI/module.h
+++ b/modules/NUCLEO-F767ZI/module.h
@@ -103,12 +103,12 @@ extern ROMCONST apalControlGpio_t moduleGpioUserButton;
  */
 #define MODULE_OS_IOEVENTFLAGS_USERBUTTON       AOS_IOEVENT_FLAG(PAL_PAD(LINE_BUTTON))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/NUCLEO-L476RG/module.c b/modules/NUCLEO-L476RG/module.c
index 5500b4d..2a731e6 100644
--- a/modules/NUCLEO-L476RG/module.c
+++ b/modules/NUCLEO-L476RG/module.c
@@ -107,9 +107,9 @@ ROMCONST apalControlGpio_t moduleGpioUserButton = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "NUCLEO-L476RG";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/NUCLEO-L476RG/module.h b/modules/NUCLEO-L476RG/module.h
index dacef7b..da026f7 100644
--- a/modules/NUCLEO-L476RG/module.h
+++ b/modules/NUCLEO-L476RG/module.h
@@ -107,12 +107,12 @@ extern ROMCONST apalControlGpio_t moduleGpioUserButton;
  */
 #define MODULE_OS_IOEVENTFLAGS_USERBUTTON       AOS_IOEVENT_FLAG(PAL_PAD(LINE_BUTTON))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/PowerManagement_1-1/module.c b/modules/PowerManagement_1-1/module.c
index f584017..ad30a16 100644
--- a/modules/PowerManagement_1-1/module.c
+++ b/modules/PowerManagement_1-1/module.c
@@ -522,9 +522,9 @@ ROMCONST apalControlGpio_t moduleGpioChargeEn2 = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "PowerManagement";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/PowerManagement_1-1/module.h b/modules/PowerManagement_1-1/module.h
index 86127f2..8e9364a 100644
--- a/modules/PowerManagement_1-1/module.h
+++ b/modules/PowerManagement_1-1/module.h
@@ -384,12 +384,12 @@ extern ROMCONST apalControlGpio_t moduleGpioChargeEn2;
  */
 #define MODULE_OS_IOEVENTFLAGS_SYSUARTUP        AOS_IOEVENT_FLAG(PAL_PAD(LINE_SYS_UART_UP))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/PowerManagement_1-2/module.c b/modules/PowerManagement_1-2/module.c
index 6926136..e962413 100644
--- a/modules/PowerManagement_1-2/module.c
+++ b/modules/PowerManagement_1-2/module.c
@@ -537,9 +537,9 @@ ROMCONST apalControlGpio_t moduleGpioChargeEn2 = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "PowerManagement";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/PowerManagement_1-2/module.h b/modules/PowerManagement_1-2/module.h
index 5123605..06b3089 100644
--- a/modules/PowerManagement_1-2/module.h
+++ b/modules/PowerManagement_1-2/module.h
@@ -389,12 +389,12 @@ extern ROMCONST apalControlGpio_t moduleGpioChargeEn2;
  */
 #define MODULE_OS_IOEVENTFLAGS_SYSUARTUP        AOS_IOEVENT_FLAG(PAL_PAD(LINE_SYS_UART_UP))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
diff --git a/modules/STM32F407G-DISC1/module.c b/modules/STM32F407G-DISC1/module.c
index 596d301..8949a9b 100644
--- a/modules/STM32F407G-DISC1/module.c
+++ b/modules/STM32F407G-DISC1/module.c
@@ -142,9 +142,9 @@ ROMCONST apalControlGpio_t moduleGpioUserButton = {
  */
 /*===========================================================================*/
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "STM32F407Discovery";
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /** @} */
 
diff --git a/modules/STM32F407G-DISC1/module.h b/modules/STM32F407G-DISC1/module.h
index 82bfd5e..d18ee08 100644
--- a/modules/STM32F407G-DISC1/module.h
+++ b/modules/STM32F407G-DISC1/module.h
@@ -135,12 +135,12 @@ extern ROMCONST apalControlGpio_t moduleGpioUserButton;
  */
 #define MODULE_OS_IOEVENTFLAGS_USERBUTTON       AOS_IOEVENT_FLAG(PAL_PAD(LINE_BUTTON))
 
-#if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+#if (AMIROOS_CFG_SHELL_ENABLE == true) || defined(__DOXYGEN__)
 /**
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
